#!/bin/bash
source "$(dirname "$0")/_common.sh"
load_env "$1" || die "Failed to load environment variables"

create_and_start_container "docker run -d \
            --restart unless-stopped \
            --name ${CONTAINER_NAME} \
            -p ${HOST_PORT}:${CONTAINER_PORT} \
            -v ${LOCAL_DATA_FOLDER}/data:/skdata \
            ${IMAGE_REGISTRY}/${IMAGE_REPO}:${IMAGE_TAG}" 
    || die "Failed to start container ${CONTAINER_NAME}"
